Package org.eclipse.emf.compare.rcp.ui.internal.mergeviewer

## Class ColorChangeEvent

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.ColorChangeEvent

All Implemented Interfaces:
  `ICompareEvent`, `IColorChangeEvent`

    public class ColorChangeEvent
    extends Object
    implements IColorChangeEvent

Event to notify a color change.

### Constructor Summary

Constructors
`ColorChangeEvent​(String colorId)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getColorID()` Get the color ID that has been modified.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColorChangeEvent

    public ColorChangeEvent​(String colorId)

Constructor.

Parameters:
  `colorId` - Id of the color that has been modified.

### Method Detail

#### getColorID

    public String getColorID()

Get the color ID that has been modified.

Specified by:
  `getColorID` in interface `IColorChangeEvent`
Returns:
  The color ID